Package com.sap.ai.sdk.orchestration

# Class OrchestrationConfigReference

java.lang.Object
com.sap.ai.sdk.orchestration.OrchestrationConfigReference

public final class OrchestrationConfigReference extends Object
Class representing a reference to an Orchestration config stored in prompt registry.

Since:
  1.15.0

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `OrchestrationConfigReference.Builder`
  Builder to create an Orchestration config reference from scenario, name, and version.
  `static interface`
  `OrchestrationConfigReference.Builder1`
  Builder to create an Orchestration config reference from scenario, name, and version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `static OrchestrationConfigReference`
  `fromId(String id)`
  Build a reference from an ID.
  `static OrchestrationConfigReference.Builder`
  `fromScenario(String scenario)`
  Build a reference from a scenario, name, and version.
  `int`
  `hashCode()`
  `String`
  `toString()`
  `OrchestrationConfigReference`
  `withMessageHistory(List<Message> messagesHistory)`
  Set the chat history.
  `OrchestrationConfigReference`
  `withTemplateParameters(Map<String,String> templateParameters)`
  Set the template parameters.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### withMessageHistory

    @Nonnull public OrchestrationConfigReference withMessageHistory(@Nonnull List<Message> messagesHistory)
    Set the chat history.
    Parameters:
      `messagesHistory` - The chat history to set.
    Returns:
      A new instance of `OrchestrationConfigReference` with the specified chat history.

  - ### withTemplateParameters

    @Nonnull public OrchestrationConfigReference withTemplateParameters(@Nonnull Map<String,String> templateParameters)
    Set the template parameters.
    Parameters:
      `templateParameters` - The template parameters to set.
    Returns:
      A new instance of `OrchestrationConfigReference` with the specified chat history.

  - ### fromId

    @Nonnull public static OrchestrationConfigReference fromId(@Nonnull String id)
    Build a reference from an ID.
    Parameters:
      `id` - The id of the reference
    Returns:
      A reference object with the specified id

  - ### fromScenario

    @Nonnull public static OrchestrationConfigReference.Builder fromScenario(@Nonnull String scenario)
    Build a reference from a scenario, name, and version.
    Parameters:
      `scenario` - The scenario of the reference
    Returns:
      A builder object with the specified scenario

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`